package io.github.lonamiwebs.overgram.tl;

import java.rmi.RemoteException;

public class RPCError extends RemoteException {
    public final int code;
    public final String value;

    public RPCError(final Types.RpcError from) {
        super(String.format("RPC error %d: %s", from.errorCode(), from.errorMessage()));
        code = from.errorCode();
        value = from.errorMessage();
    }
}
