package io.github.lonamiwebs.overgram.network.connection;

import java.io.IOException;

public abstract class Connection {
    public abstract void connect(final String ipAddress, final int port) throws IOException;

    public abstract void disconnect();

    public abstract void send(final byte[] data) throws IOException;

    public abstract byte[] recv() throws IOException;
}
